#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include "orxonox_gui_file.h"


void orxonox_gui_file_default (struct settings *orxonox_settings)
{
  if (verbose >= 1)
    printf("Setting orxonox to it's default settings.\n");

  orxonox_settings->video_fullscreen = 1;
  orxonox_settings->video_wireframe = 0;
  
  orxonox_settings->audio_enable_sound = 1;
  orxonox_settings->audio_music_volume = 80;
  orxonox_settings->audio_effects_volume = 80;
  
  orxonox_settings->exec_save_settings = 1;
  orxonox_settings->exec_show_menu = 0;

  return;
}
