#include "orxonox_gui_video.h"





/* Drawing The VIDEO_FRAME */
GtkWidget *orxonox_gui_video_frame (struct settings *orxonox_settings)
{
  GtkWidget *frame;
  GtkWidget *fullscreen_button;
  GtkWidget *wireframe_button;
  
  frame = gtk_frame_new ( "Video-Options:");
  {
    GtkWidget *orxonox_gui_video_vbox;
    orxonox_gui_video_vbox = gtk_vbox_new (FALSE, 0);
    {
	fullscreen_button = gtk_check_button_new_with_label ("Fullscreen-mode");
	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (fullscreen_button), orxonox_settings->video_fullscreen);

	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_video_fullscreen);
	 */
	gtk_box_pack_start(GTK_BOX (orxonox_gui_video_vbox), fullscreen_button, TRUE, TRUE, 0);

	wireframe_button = gtk_check_button_new_with_label ("Wireframe-mode");
	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (wireframe_button), orxonox_settings->video_wireframe);
	/*	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (button), orxonox_gui_video_Wireframe);
	 */
	gtk_box_pack_start(GTK_BOX (orxonox_gui_video_vbox), wireframe_button, TRUE, TRUE, 0);
	
    }
    gtk_container_add(GTK_CONTAINER(frame), orxonox_gui_video_vbox);
  }

  return frame;

}

